Bug 197870 - Kernel Panic after FC2 -> FC5 upgrade
Kernel Panic after FC2 -> FC5 upgrade
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i386 Linux
medium Severity urgent
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
MassClosed
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-06 15:57 EDT by Viktor Pusztai
Modified: 2008-01-19 23:41 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-19 23:41:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Viktor Pusztai 2006-07-06 15:57:49 EDT
Dear All,

I had an installed FC2 and I upgraded to FC5 via DVD.
The process went realy fine then at the first reboot I got the following error:

-----------
Red Hat nash version 5.0.32 starting
Kernel Panic - not syncing: Attempted to kill init!
-----------

I have two SATA disks with the partitions below:

sda1 - boot
sda2 - swap
sda3 - /export/home for user data
sdb1 - /

Can you help how to resolve? 
Regards,
Viktor
Comment 1 Viktor Pusztai 2006-07-06 16:12:56 EDT
I made the following chnaged in /etc/fstab

< /dev/sdb1    /   ext3   defaults   1   1
< /dev/sda1    /boot   ext3   defaults   1   2
---
>LABEL=/   /   ext3   defaults   1   1
>LABEL=/boot   /boot   ext3   defaults   1   1


And in the grub.conf:

< kernel /vmlinuz-2.6.15.1-2054_FC5smp ro root=/dev/sdb1 rhgb quiet
---
> kernel /vmlinuz-2.6.15.1-2054_FC5smp ro root=LABEL=/ rhgb quiet
19c19
< kernel /vmlinuz-2.6.15.1-2054_FC5 ro root=/dev/sdb1 rhgb quiet
---
> kernel /vmlinuz-2.6.15.1-2054_FC5 ro root=LABEL=/ rhgb quiet


still NO success.
Comment 2 Roy-Magne Mo 2006-09-21 14:50:19 EDT
Check if this solves your problem:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=207474
Comment 3 Dave Jones 2006-10-16 15:38:49 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 4 Jon Stanley 2008-01-19 23:41:36 EST
(this is a mass-close to kernel bugs in NEEDINFO state)

As indicated previously there has been no update on the progress of this bug
therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.

If you believe that this bug was closed in error, please feel free to reopen
this bug.

Note You need to log in before you can comment on or make changes to this bug.